#pragma once
#include "EntityState.h"
extern const int CS_SantaFishSTATENAME_CONTROL;
class CS_SantaFishControl :
    public EntityState
{
public:
    CS_SantaFishControl();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void MoveControl();
    void JumpControl();
    //物理信息
    //地面
    float ground_move = 0x55 / ts;
    float ground_max_move = 0x32c / ts;
    //水中
    float inwater_move = 0x55 / ts;
    float inwater_max_move = 0x32c / ts;
    //使用中的物理信息
    float max_move;//当前最大移动速度
    float move;//当前地面移动加速度
    //锁住调查事件
    bool faceToBack_disable = false;
    //播放撞头声音
    bool playBonkHeadSound = false;
};

